Package ghidra.app.cmd.refs

# Class UpdateExternalNameCmd

java.lang.Object
ghidra.app.cmd.refs.UpdateExternalNameCmd

All Implemented Interfaces:
  `Command<Program>`

public class UpdateExternalNameCmd extends Object implements Command<Program>
Command to update the name for an external program.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateExternalNameCmd(String oldName, String newName, SourceType source)`
  Constructs a new command for updating the name of an external program.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(Program program)`
  Applies the command to the given domain object.
  `String`
  `getName()`
  Returns the name of this command.
  `String`
  `getStatusMsg()`
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UpdateExternalNameCmd

    public UpdateExternalNameCmd(String oldName, String newName, SourceType source)
    Constructs a new command for updating the name of an external program.
    Parameters:
      `oldName` - the current name of the external program link.
      `newName` - the new name to be used for the external program link.
      `source` - the source of this external name

- ## Method Details

  - ### applyTo

    public boolean applyTo(Program program)
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command<Program>`
    Parameters:
      `program` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully

  - ### getStatusMsg

    public String getStatusMsg()
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command<Program>`
    Returns:
      reason for failure, or null if the status of the command was successful

  - ### getName

    public String getName()
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command<Program>`
    Returns:
      the name of this command